pcl::PointIndices Struct Reference

`#include <pcl/PointIndices.h>`

## Public Types

using | Ptr = shared_ptr< ::pcl::PointIndices >
using | ConstPtr = shared_ptr< const ::pcl::PointIndices >

## Public Member Functions

| PointIndices ()

## Public Attributes

::pcl::PCLHeader | header
Indices | indices

## Detailed Description

Definition at line 11 of file PointIndices.h.

## Member Typedef Documentation

## ConstPtr

using pcl::PointIndices::ConstPtr = shared_ptr<const ::pcl::PointIndices>

Definition at line 14 of file PointIndices.h.

## Ptr

using pcl::PointIndices::Ptr = shared_ptr< ::pcl::PointIndices>

Definition at line 13 of file PointIndices.h.

## Constructor & Destructor Documentation

## PointIndices()

pcl::PointIndices::PointIndices | ( |  | ) |

inline

Definition at line 16 of file PointIndices.h.

## Member Data Documentation

## header

::pcl::PCLHeader pcl::PointIndices::header

Definition at line 19 of file PointIndices.h.

Referenced by pcl::extractEuclideanClusters(), pcl::gpu::extractEuclideanClusters(), pcl::extractLabeledEuclideanClusters(), pcl::gpu::extractLabeledEuclideanClusters(), pcl::ConditionalEuclideanClustering< PointT >::segment(), pcl::SACSegmentation< PointT >::segment(), and pcl::ExtractPolygonalPrismData< PointT >::segment().

## indices

Indices pcl::PointIndices::indices

Definition at line 21 of file PointIndices.h.

Referenced by pcl::MovingLeastSquares< PointInT, PointOutT >::addProjectedPointNormal(), pcl::MinCutSegmentation< PointT >::assembleLabels(), pcl::RegionGrowing< PointT, NormalT >::assembleRegions(), pcl::RegionGrowingRGB< PointT, NormalT >::assembleRegions(), pcl::gpu::people::browseTree(), pcl::gpu::compareLabeledPointClusters(), pcl::compareLabeledPointClusters(), pcl::gpu::comparePointClusters(), pcl::comparePointClusters(), pcl::people::HeightMap2D< PointT >::compute(), pcl::compute3DCentroid(), pcl::computeCovarianceMatrix(), pcl::computeCovarianceMatrixNormalized(), pcl::computeMeanAndCovarianceMatrix(), pcl::computeNDCentroid(), pcl::copyPointCloud(), pcl::people::HeadBasedSubclustering< PointT >::createSubClusters(), pcl::demeanPointCloud(), pcl::extractEuclideanClusters(), pcl::gpu::extractEuclideanClusters(), pcl::extractLabeledEuclideanClusters(), pcl::gpu::extractLabeledEuclideanClusters(), pcl::OrganizedConnectedComponentSegmentation< PointT, PointLT >::findLabeledRegionBoundary(), pcl::getMinMax3D(), pcl::Filter< PointT >::getRemovedIndices(), pcl::Filter< pcl::PCLPointCloud2 >::getRemovedIndices(), pcl::RegionGrowingRGB< PointT, NormalT >::getSegmentFromPoint(), pcl::RegionGrowing< PointT, NormalT >::getSegmentFromPoint(), pcl::people::PersonCluster< PointT >::init(), pcl::people::HeadBasedSubclustering< PointT >::mergeClustersCloseInFloorCoordinates(), pcl::gpu::people::operator<<(), pcl::seededHueSegmentation(), pcl::ConditionalEuclideanClustering< PointT >::segment(), pcl::SeededHueSegmentation::segment(), pcl::SACSegmentation< PointT >::segment(), pcl::ExtractPolygonalPrismData< PointT >::segment(), pcl::OURCVFHEstimation< PointInT, PointNT, PointOutT >::sgurf(), pcl::transformPointCloud(), and pcl::transformPointCloudWithNormals().

The documentation for this struct was generated from the following file:

- pcl/PointIndices.h